FileCache(3)

NAME
FileCache - keep more files open than the system permits

SYNOPSIS
    cacheout $path;
    print $path @data;

DESCRIPTION
The "cacheout" function will make sure that there's a filehandle open for writing available as the pathname you give it. It automatically closes and re-opens files if you exceed your system file descriptor maximum.

BUGS
sys/param.h lies with its "NOFILE" define on some systems, so you may have to set $FileCache::cacheout_maxopen yourself.